/*******************************************************************************
 * Copyright (c) 2010 IGA Tosiki, NTT DATA BUSINESS BRAINS Corp.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    IGA Tosiki (NTT DATA BUSINESS BRAINS Corp.) - initial API and implementation
 *******************************************************************************/
/*
 * blanco Framework
 * Copyright (C) 2004-2010 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.service.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.service.BlancoServiceConstants;
import blanco.service.resourcebundle.BlancoServiceResourceBundle;

/**
 * プラグインウィザードのページのクラスです。
 * 
 * @author IGA Tosiki
 */
public class BlancoServiceWizardPage2 extends WizardPage {
    private static final BlancoServiceResourceBundle fBundle = new BlancoServiceResourceBundle();

    public BlancoServiceWizardPage2(ISelection selection) {
        super("wizardPage");
        setTitle(BlancoServiceConstants.PRODUCT_NAME + "の紹介");
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText(BlancoServiceConstants.PRODUCT_NAME + " は下記のようなツールです。");
        new Label(container, SWT.NONE).setText("  1.ソースコード生成タイプ");
        new Label(container, SWT.NONE).setText("    "
                + fBundle.getMetafileDisplayname()
                + "の記述内容に相当するソースコードを自動生成します。");
        new Label(container, SWT.NONE)
                .setText("    実行時に特定のライブラリ(*.jar)ファイルを必要としません。");
        new Label(container, SWT.NONE).setText("  2.ドキュメント指向");
        new Label(container, SWT.NONE).setText("    "
                + fBundle.getMetafileDisplayname() + "を入力として動作します。");
        new Label(container, SWT.NONE)
                .setText("    ドキュメント指向であるため、ドキュメントとソースコードとの同期を自然に実現することが出来ます。");

        setControl(container);
    }
}